Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.auth
Class BasicUserPrincipal

    java.lang.Object
      org.apache.http.auth.BasicUserPrincipal

All Implemented Interfaces:
  Serializable, Principal

    @Immutable
    public final class BasicUserPrincipal

extends Object
implements Principal, Serializable

Basic user principal used for HTTP authentication

Since:
  4.0
See Also:
  Serialized Form

Constructor Summary
`BasicUserPrincipal(String username)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getName()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicUserPrincipal

    public BasicUserPrincipal(String username)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `Principal`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Principal`
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `Principal`
  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Specified by:
    `toString` in interface `Principal`
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.